com.explodingpixels.widgets

## Class StripedViewportBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - com.explodingpixels.widgets.StripedViewportBorder

- All Implemented Interfaces:
    PropertyChangeListener, Serializable, EventListener, Border, ListSelectionListener

      public class StripedViewportBorder
      extends AbstractBorder
      implements ListSelectionListener, PropertyChangeListener

  Creates a border for a `JViewport` that draws a striped background corresponding to the row positions of the given `JTable`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StripedViewportBorder(JViewport viewport, JTable table)`
    `StripedViewportBorder(JViewport viewport, JTable table, Color stripeColor)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `paintBorder(Component c, Graphics g, int x, int y, int width, int height)`
    `void` | `propertyChange(PropertyChangeEvent evt)`
    `void` | `valueChanged(ListSelectionEvent e)`

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getBorderInsets, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StripedViewportBorder

          public StripedViewportBorder(JViewport viewport,
                               JTable table,
                               Color stripeColor)

    - #### StripedViewportBorder

          public StripedViewportBorder(JViewport viewport,
                               JTable table)

  - ### Method Detail

    - #### paintBorder

          public void paintBorder(Component c,
                         Graphics g,
                         int x,
                         int y,
                         int width,
                         int height)

      Specified by:
        `paintBorder` in interface `Border`
      Overrides:
        `paintBorder` in class `AbstractBorder`

    - #### valueChanged

          public void valueChanged(ListSelectionEvent e)

      Specified by:
        `valueChanged` in interface `ListSelectionListener`

    - #### propertyChange

          public void propertyChange(PropertyChangeEvent evt)

      Specified by:
        `propertyChange` in interface `PropertyChangeListener`